SSTableMetadata.Collector (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class SSTableMetadata.Collector

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableMetadata.Collector

Enclosing class:
  SSTableMetadata

    public static class SSTableMetadata.Collector

extends java.lang.Object

Field Summary
`protected double` | `compressionRatio`
`protected EstimatedHistogram` | `estimatedColumnCount`
`protected EstimatedHistogram` | `estimatedRowSize`
`protected long` | `maxTimestamp`
`protected ReplayPosition` | `replayPosition`

Constructor Summary
`SSTableMetadata.Collector()`

Method Summary
`void` | `addColumnCount(long columnCount)`
`void` | `addCompressionRatio(long compressed, long uncompressed)` Ratio is compressed/uncompressed and it is if you have 1.x then compression isn't helping
`void` | `addRowSize(long rowSize)`
`SSTableMetadata.Collector` | `estimatedColumnCount(EstimatedHistogram estimatedColumnCount)`
`SSTableMetadata.Collector` | `estimatedRowSize(EstimatedHistogram estimatedRowSize)`
`SSTableMetadata` | `finalizeMetadata(java.lang.String partitioner)`
`SSTableMetadata.Collector` | `replayPosition(ReplayPosition replayPosition)`
`void` | `updateMaxTimestamp(long potentialMax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### estimatedRowSize

    protected EstimatedHistogram estimatedRowSize

### estimatedColumnCount

    protected EstimatedHistogram estimatedColumnCount

### replayPosition

    protected ReplayPosition replayPosition

### maxTimestamp

    protected long maxTimestamp

### compressionRatio

    protected double compressionRatio

Constructor Detail

### SSTableMetadata.Collector

    public SSTableMetadata.Collector()

Method Detail

### addRowSize

    public void addRowSize(long rowSize)

### addColumnCount

    public void addColumnCount(long columnCount)

### addCompressionRatio

    public void addCompressionRatio(long compressed,
                                    long uncompressed)

  Ratio is compressed/uncompressed and it is if you have 1.x then compression isn't helping

### updateMaxTimestamp

    public void updateMaxTimestamp(long potentialMax)

### finalizeMetadata

    public SSTableMetadata finalizeMetadata(java.lang.String partitioner)

### estimatedRowSize

    public SSTableMetadata.Collector estimatedRowSize(EstimatedHistogram estimatedRowSize)

### estimatedColumnCount

    public SSTableMetadata.Collector estimatedColumnCount(EstimatedHistogram estimatedColumnCount)

### replayPosition

    public SSTableMetadata.Collector replayPosition(ReplayPosition replayPosition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation